From 4fb4d8588db44bcc659bdc5226f6d656ad711ec7 Mon Sep 17 00:00:00 2001
From: Andy Weidenbaum <archbaum@gmail.com>
Date: Wed, 8 May 2019 08:48:15 +1000
Subject: [PATCH] libomp: update to 8.0.0.

---
 common/shlibs           |  4 ++++
 srcpkgs/libomp/template | 13 ++++---------
 2 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 9857067a1ad..e32ff266047 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3461,3 +3461,7 @@ libgrpc.so.7 grpc-1.19.1_1
 libgrpc_cronet.so.7 grpc-1.19.1_1
 libgrpc_unsecure.so.7 grpc-1.19.1_1
 libgrpcpp_channelz.so.1 grpc-1.19.1_1
+libomp.so libomp-8.0.0_1
+libomptarget.so libomp-8.0.0_1
+libomptarget.rtl.aarch64.so libomp-8.0.0_1
+libomptarget.rtl.x86_64.so libomp-8.0.0_1
diff --git a/srcpkgs/libomp/template b/srcpkgs/libomp/template
index de75b12d3df..2247728984c 100644
--- a/srcpkgs/libomp/template
+++ b/srcpkgs/libomp/template
@@ -1,10 +1,10 @@
 # Template file for 'libomp'
 pkgname=libomp
-version=7.0.1
-revision=2
+version=8.0.0
+revision=1
 wrksrc="openmp-${version}.src"
 build_style=cmake
-configure_args="-DLIBOMP_ENABLE_SHARED=ON"
+configure_args="-DLIBOMP_ENABLE_SHARED=ON -DLIBOMP_INSTALL_ALIASES=OFF"
 hostmakedepends="perl pkg-config"
 makedepends="elfutils-devel libffi-devel"
 short_desc="LLVM OpenMP Runtime Library"
@@ -12,12 +12,7 @@ maintainer="Andy Weidenbaum <archbaum@gmail.com>"
 license="NCSA"
 homepage="https://openmp.llvm.org"
 distfiles="https://releases.llvm.org/${version}/openmp-${version}.src.tar.xz"
-checksum=bf16b78a678da67d68405214ec7ee59d86a15f599855806192a75dcfca9b0d0c
-
-post_install() {
-	# libgomp.so is also provided by libgomp-devel, fix conflict
-	rm ${PKGDESTDIR}/usr/lib/libgomp.so
-}
+checksum=f7b1705d2f16c4fc23d6531f67d2dd6fb78a077dd346b02fed64f4b8df65c9d5
 
 libomp-devel_package() {
 	short_desc+=" - development files"
